# Copyright 2009 Virginia Polytechnic Institute and State University  
#
# Licensed under the Apache License, Version 2.0 (the "License"); 
# you may not use this file except in compliance with the License. 
# You may obtain a copy of the License at 
# 
# http://www.apache.org/licenses/LICENSE-2.0 
#
# Unless required by applicable law or agreed to in writing, software 
# distributed under the License is distributed on an "AS IS" BASIS, 
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. 
# See the License for the specific language governing permissions and 
# limitations under the License. 

# Simple Python demonstration script for using
# the CROSS system.
#
# Use with demo.xml shell configuration file
#   Instructions:
# 	Start shell with demo.xml config from the examples directory
#	Start cognitive engine
#	Run this script
#	

from cross import *

p = Parameter(1)
currentParameters = Parameter(1)
o = Observable(1)

o[0].value = 15.00
o[0].name = "energy"

currentParameters[0].name = "channel"
currentParameters[0].value = 3 

p = GetOptimalParameters(o,1,currentParameters,1);

print p[0].name, p[0].value


